import debug, { Debug, Debugger } from 'debug';
declare type Logger = (...args: any[]) => void;
interface LeveledDebugger {
    log: Logger;
    error: Logger;
    warn: Logger;
    debug: Logger;
    info: Logger;
    verbose: Logger;
}
declare const debugLevels: (debugProvider: Debug, envProvider: {
    [key: string]: string | undefined;
}, namespace: string) => LeveledDebugger & Debugger;
export { debugLevels, Debug, LeveledDebugger };
declare const _default: (namespace: string) => LeveledDebugger & debug.Debugger;
export default _default;
